package cn.com.countrygarden.bi.main.dao.bigholderAduit;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.bigholderAduit.BigholderExceptionInfo;

public interface BigholderExceptionInfoMapper {

	public List<BigholderExceptionInfo> getBigholderExceptionInfo(@Param(value = "yearMonth") String yearMonth,
			@Param(value = "area") String area, @Param(value = "exceptionAuditStruts") String exceptionAuditStruts);
	
	public BigholderExceptionInfo selectBySatisfactionInfoId(@Param(value="satisfactionInfoId")String satisfactionInfoId);
	
	public void updateBigholderExceptionInfo(@Param(value = "id") String id,
			@Param(value = "correspondProject") String correspondProject,
			@Param(value = "area") String area, 
			@Param(value="auditStatus")String auditStatus, 
			@Param(value="exceptionMessage")String exceptionMessage);

	public void insertBigholderExceptionInfo(BigholderExceptionInfo bigholderExceptionInfo);

	public void deleteBigholderExInfo(@Param(value = "id") Integer id);

	public BigholderExceptionInfo selectById(@Param(value = "id") String id);

	public List<BigholderExceptionInfo> getExByAreasOrOther(@Param(value = "yearMonth") String yearMonth,
			@Param(value = "areas") List<String> areas,
			@Param(value = "exceptionStruts") String exceptionStruts);

	public List<BigholderExceptionInfo> getBigholderExceptionInfo(PageRowBounds pageRowBounds,
			@Param(value="yearMonth")String yearMonth,
			@Param(value="area")String area,
			@Param(value="exceptionAuditStruts")String exceptionAuditStruts);

	public List<BigholderExceptionInfo> findExceptionAll(@Param(value="yearMonth")String yearMonth);

	public void updateExceptionStatus(BigholderExceptionInfo bigholderExceptionInfo);
}